View Issue Details

IDProjectCategoryView StatusLast Update
0003963unrealircdpublic2010-11-15 17:23
ReporterStealthAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Platform*OS*OS Version*
Product Version3.2.9-RC1 
Target VersionFixed in Version3.2.9-RC1 
Summary0003963: Option to allow broad bans (patch included)
DescriptionThis patch adds set::options::allow-insane-bans to give admins an option to add any g/k/z:line no matter how broad the mask is.

Unreal's current make checking is sometimes too restrictive. This will be an option primarily used on networks running without services, or when admins wish to have that extra option for banning broader masks.
Additional InformationThis patch makes adding broad bans available to any oper (with the correct flags). If someone wants to expand this idea into an oper flag for allowing such (can_insane_ban or something), they are more than welcome to.
TagsNo tags attached.
3rd party modules

Activities

2010-10-26 21:42

 

allow_insane_bans.patch (3,635 bytes)

ohnobinki

2010-10-27 05:43

reporter   ~0016389

Patch looks fine to me.

Stealth

2010-10-27 05:46

reporter   ~0016390

Patch tested and works with KLINE, GLINE, ZLINE, GZLINE, and SHUN

syzop

2010-11-15 17:23

administrator   ~0016412

Added in .899:
- Added set::options::allow-insane-bans which makes it possible to set
  really broad bans such as *@*.xx. Needless to say this can be very
  dangerous. Reported and patch provided by Stealth (0003963).

Issue History

Date Modified Username Field Change
2010-10-26 21:42 Stealth New Issue
2010-10-26 21:42 Stealth File Added: allow_insane_bans.patch
2010-10-26 21:42 Stealth QA => Not touched yet by developer
2010-10-26 21:42 Stealth U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-10-26 21:42 Stealth U4: Upstream notification of bug => Not decided
2010-10-26 21:42 Stealth U4: Contributor working on this => None
2010-10-27 05:43 ohnobinki Note Added: 0016389
2010-10-27 05:46 Stealth Note Added: 0016390
2010-11-15 17:23 syzop Note Added: 0016412
2010-11-15 17:23 syzop Status new => resolved
2010-11-15 17:23 syzop Fixed in Version => 3.2.9-RC1
2010-11-15 17:23 syzop Resolution open => fixed
2010-11-15 17:23 syzop Assigned To => syzop